commit 988978e97c09d1822b20ff8495c4b83e380d58fb
Author: freddy77 <freddy77>
Date:   Thu Dec 11 12:37:57 2008 +0000

    add TDS_MUTEX_DECLARE

diff --git a/ChangeLog b/ChangeLog
index 9491b0d..8357e85 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Thu Dec 11 13:36:33 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* include/tdsthread.h src/dblib/dblib.c src/tds/log.c:
+	- add TDS_MUTEX_DECLARE
+
 Thu Dec 11 13:29:50 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/apps/Makefile.am src/apps/datacopy.c src/apps/freebcp.c:
 	* src/apps/freebcp.h:
@@ -1029,4 +1033,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2675 2008/12/11 12:31:31 freddy77 Exp $
+$Id: ChangeLog,v 1.2676 2008/12/11 12:37:57 freddy77 Exp $
diff --git a/include/tdsthread.h b/include/tdsthread.h
index 09e785b..fde1c52 100644
--- a/include/tdsthread.h
+++ b/include/tdsthread.h
@@ -21,13 +21,14 @@
 #ifndef TDSTHREAD_H
 #define TDSTHREAD_H 1
 
-/* $Id: tdsthread.h,v 1.3 2005/07/06 12:35:37 freddy77 Exp $ */
+/* $Id: tdsthread.h,v 1.4 2008/12/11 12:37:57 freddy77 Exp $ */
 
 #if defined(_THREAD_SAFE) && defined(TDS_HAVE_PTHREAD_MUTEX)
 
 #include <pthread.h>
 
-#define TDS_MUTEX_DECLARE(name) pthread_mutex_t name = PTHREAD_MUTEX_INITIALIZER
+#define TDS_MUTEX_DECLARE(name) pthread_mutex_t name
+#define TDS_MUTEX_DEFINE(name) pthread_mutex_t name = PTHREAD_MUTEX_INITIALIZER
 #define TDS_MUTEX_LOCK(a) pthread_mutex_lock(a)
 #define TDS_MUTEX_UNLOCK(a) pthread_mutex_unlock(a)
 #define TDS_MUTEX_T pthread_mutex_t
@@ -42,6 +43,7 @@
 #else
 
 #define TDS_MUTEX_DECLARE(name) int name
+#define TDS_MUTEX_DEFINE(name) int name
 #define TDS_MUTEX_LOCK(a)
 #define TDS_MUTEX_UNLOCK(a)
 #define TDS_MUTEX_T int
diff --git a/src/dblib/dblib.c b/src/dblib/dblib.c
index 3727a30..94838ad 100644
--- a/src/dblib/dblib.c
+++ b/src/dblib/dblib.c
@@ -76,7 +76,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: dblib.c,v 1.333 2008/12/10 14:56:26 freddy77 Exp $");
+TDS_RCSID(var, "$Id: dblib.c,v 1.334 2008/12/11 12:37:57 freddy77 Exp $");
 
 static RETCODE _dbresults(DBPROCESS * dbproc);
 static int _db_get_server_type(int bindtype);
@@ -208,7 +208,7 @@ typedef struct dblib_context
 DBLIBCONTEXT;
 
 static DBLIBCONTEXT g_dblib_ctx;
-static TDS_MUTEX_DECLARE(dblib_mutex);
+static TDS_MUTEX_DEFINE(dblib_mutex);
 
 static int g_dblib_version =
 #ifdef TDS42
diff --git a/src/tds/log.c b/src/tds/log.c
index bb40ee4..58518e1 100644
--- a/src/tds/log.c
+++ b/src/tds/log.c
@@ -66,7 +66,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: log.c,v 1.7 2008/08/18 13:31:27 freddy77 Exp $");
+TDS_RCSID(var, "$Id: log.c,v 1.8 2008/12/11 12:37:57 freddy77 Exp $");
 
 /* for now all messages go to the log */
 int tds_debug_flags = TDS_DBGFLAG_ALLLVL | TDS_DBGFLAG_SOURCE;
@@ -74,7 +74,7 @@ int tds_g_append_mode = 0;
 static char *g_dump_filename = NULL;
 static int write_dump = 0;	/* is TDS stream debug log turned on? */
 static FILE *g_dumpfile = NULL;	/* file pointer for dump log          */
-static TDS_MUTEX_DECLARE(g_dump_mutex);
+static TDS_MUTEX_DEFINE(g_dump_mutex);
 
 static FILE* tdsdump_append(void);
 

